<?php
	
	if(!defined('ABSPATH')){
		die('-1');
	}
	
	
	function ckrd_enqueue_admin_files($hook){
		
		wp_enqueue_script('jquery');
		
		if(strpos($hook, 'cookiehint-wp') !== false){
			wp_register_script('admin-js', plugins_url('assets/js/admin.js', __FILE__), false, '1.0.0');
			wp_enqueue_script('admin-js');
			
			wp_register_style('style-css', plugins_url('assets/css/style.css', __FILE__), false, '1.0.0');
			wp_enqueue_style('style-css');
			
			wp_register_style('admin-css', plugins_url('assets/css/admin.css', __FILE__), false, '1.0.0');
			wp_enqueue_style('admin-css');
		}
	}
	
	
	function ckrd_admin_menu_nav(){
		
		add_menu_page('CookieHint and Consent', 'CookieHint WP', 'manage_options', 'cookiehint-wp', 'ckrd_settings_page_inc', plugins_url('cookiehint-wp/assets/img/cookie_icon.png'));
	}
	
	
	function ckrd_settings_page_inc(){
		
		include 'settings.php';
	}
	
	
	function ckrd_help_page_inc(){
		//include 'help.php';
	}
	
	
	$plugin = plugin_basename(__FILE__);
	add_filter("plugin_action_links_$plugin", 'ckrd_link_to_page_settings');
	function ckrd_link_to_page_settings($links){
		
		$url           = esc_url(add_query_arg(
			'page',
			'cookiehint-wp',
			get_admin_url().'admin.php'
		));
		$settings_link = "<a href='$url'>".__('Settings').'</a>';
		array_push(
			$links,
			$settings_link
		);
		
		return $links;
	}