<div class="wrap">

	<h1><?php esc_html_e (get_admin_page_title()); ?></h1>
	
	<?php
		global $wpdb;
		$tablename = $wpdb->prefix."cookiehint_parameters";
		$result    = $wpdb->get_results("SELECT * FROM ".$tablename, ARRAY_A);
	?>

	<form method="post" action="<?php esc_html_e(admin_url('admin-post.php')); ?>">
		<input type="hidden" name="action" value="ckrd_plugins_parameters">
		<div class="cookiehint-admin-container">
			
			<?php
				if(is_array($result) && count($result) == 1){
					foreach($result as $col){
						
						?>

						<input type="hidden" name="idd" value="<?php esc_html_e($col['id']); ?>">

						<h2><?PHP esc_html_e("REDIM_COOKIEHINT_NOTE_SETTINGS", 'cookiehint-wp'); ?></h2>
						<div class="row">
							<div class="col col-30">
								<div class="label-cookiehint tooltipElement"><?PHP esc_html_e("REDIM_COOKIEHINT_MORE_INFO", 'cookiehint-wp'); ?>
									<span class="tooltipContent"><span class="title_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_MORE_INFO", 'cookiehint-wp'); ?></span><span class="desc_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_MORE_INFO_DESC", 'cookiehint-wp'); ?></span></span>
								</div>
							</div>
							<div class="col col-70">
								<input type="url" class="input-cookiehint input-text-cookiehint" name="datenschutzlink-input" value="<?php esc_html_e( $col['datenschutzlink']); ?>">
							</div>
						</div>

						<div class="row">
							<div class="col col-30">
								<span class="label-cookiehint tooltipElement"><?PHP esc_html_e("REDIM_COOKIEHINT_URL_IMPRINT", 'cookiehint-wp'); ?><span class="tooltipContent"><span class="title_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_URL_IMPRINT", 'cookiehint-wp'); ?></span><span class="desc_tooltip"> <?PHP esc_html_e("REDIM_COOKIEHINT_URL_IMPRINT_DESC", 'cookiehint-wp'); ?></span></span></span>
							</div>
							<div class="col col-70">
								<input type="url" class="input-cookiehint input-text-cookiehint" name="impressumlink-input" value="<?php esc_html_e ($col['impressumlink']); ?>">
							</div>
						</div>


						<h2><?PHP esc_html_e("REDIM_COOKIEHINT_NOTE_STYLE", 'cookiehint-wp'); ?></h2>
						<div class="row">
							<div class="col col-30">
								<span class="label-cookiehint tooltipElement"><?PHP esc_html_e("REDIM_COOKIEHINT_REFUSAL", 'cookiehint-wp'); ?><span class="tooltipContent"><span class="title_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_REFUSAL", 'cookiehint-wp'); ?> </span><span class="desc_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_REFUSAL_DESC", 'cookiehint-wp'); ?> </span></span></span>
							</div>
							<div class="col col-70">
								<select class="input-cookiehint input-select-cookiehint" name="ablehnung-options" id="ablehnung-options-select">
									<option value="0" <?php esc_html_e (($col['ablehnung_options'] == '0') ? 'selected="selected"' : ''); ?>><?PHP esc_html_e("REDIM_COOKIEHINT_COOKIEBLOCKER0", 'cookiehint-wp'); ?></option>
									<option value="1" <?php esc_html_e (($col['ablehnung_options'] == '1') ? 'selected="selected"' : ''); ?>><?PHP esc_html_e("REDIM_COOKIEHINT_YES_RECOMMENDED", 'cookiehint-wp'); ?></option>
									<option value="2" <?php esc_html_e (($col['ablehnung_options'] == '2') ? 'selected="selected"' : ''); ?>><?PHP esc_html_e("REDIM_COOKIEHINT_REDIRECT", 'cookiehint-wp'); ?></option>
								</select>
							</div>
						</div>

						<div class="row" id="redirectlink_content" <?php echo wp_kses_post (($col['ablehnung_options'] == '2') ? 'style="display:block;"' : 'style="display:none;"'); ?>>
							<div class="col col-30">
								<span class="label-cookiehint tooltipElement"><?PHP esc_html_e("REDIM_COOKIEHINT_REFUSAL_URL", 'cookiehint-wp'); ?><span class="tooltipContent"><span class="title_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_REFUSAL_URL", 'cookiehint-wp'); ?></span><span class="desc_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_REFUSAL_URL_DESC", 'cookiehint-wp'); ?></span></span></span>
							</div>
							<div class="col col-70">
								<input type="url" class="input-cookiehint input-text-cookiehint" name="redirectlink-input" value="<?php esc_html_e ($col['ablehnung_redirect']); ?>">
							</div>
						</div>

						<div class="row">
							<div class="col col-30">
								<span class="label-cookiehint tooltipElement"><?PHP esc_html_e("REDIM_COOKIEHINT_COOKIEBLOCKER", 'cookiehint-wp'); ?><span class="tooltipContent"><span class="title_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_COOKIEBLOCKER", 'cookiehint-wp'); ?></span><span class="desc_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_COOKIEBLOCKER_DESC", 'cookiehint-wp'); ?></span></span></span>
							</div>
							<div class="col col-70">
								<select class="input-cookiehint input-select-cookiehint" name="cookieblocker" id="cookieblocker_select">
									<option value="0" <?php esc_html_e (($col['cookieblocker'] == '0') ? 'selected="selected"' : ''); ?>><?PHP esc_html_e("REDIM_COOKIEHINT_COOKIEBLOCKER0", 'cookiehint-wp'); ?></option>
									<option value="1" <?php esc_html_e (($col['cookieblocker'] == '1') ? 'selected="selected"' : ''); ?>><?PHP esc_html_e("REDIM_COOKIEHINT_COOKIEBLOCKER1", 'cookiehint-wp'); ?></option>
									<option value="2" <?php esc_html_e (($col['cookieblocker'] == '2') ? 'selected="selected"' : ''); ?>><?PHP esc_html_e("REDIM_COOKIEHINT_COOKIEBLOCKER2", 'cookiehint-wp'); ?></option>
								</select>
							</div>
						</div>

						<div class="row" id="cookieblocker_content" <?php echo wp_kses_post (($col['cookieblocker'] == '2') ? 'style="display:block;"' : 'style="display:none;"'); ?>>
							<div class="col col-30">
								<span class="label-cookiehint tooltipElement"><?PHP esc_html_e("REDIM_COOKIEHINT_CSP", 'cookiehint-wp'); ?><br /><i>Default: default-src 'self' 'unsafe-inline'</i><span class="tooltipContent"><span class="title_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_CSP", 'cookiehint-wp'); ?></span><span class="desc_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_CSP_DESC", 'cookiehint-wp'); ?></span></span></span>
							</div>
							<div class="col col-70">
								<textarea class="input-cookiehint input-textarea-cookiehint" name="content-security-policy-input" value=""><?php echo esc_textarea($col['content_security_policy']); ?></textarea>
							</div>
						</div>

						<div class="row">
							<div class="col col-30">
								<span class="label-cookiehint tooltipElementNot"><?PHP esc_html_e("REDIM_COOKIEHINT_MODE", 'cookiehint-wp'); ?><span class="tooltipContent" style="display:none;"><span class="title_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_MODE", 'cookiehint-wp'); ?></span><span class="desc_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_MODE_DESC", 'cookiehint-wp'); ?></span></span></span>
							</div>
							<div class="col col-70">
								<fieldset class="radio modus_radio_options" name="radio_params_cookiemode">
									<span class="radio-input-label"><input type="radio" class="input-cookiehint input-cookiehint-radio modus_radio_options" value="1" <?php esc_html_e (($col['modus'] == 1) ? 'checked' : ''); ?> name="radio_params_cookiemode"><label for="cookie-hinweis-tage"><?PHP esc_html_e("REDIM_COOKIEHINT_MODE_DAYS", 'cookiehint-wp'); ?></label></span>
									<span class="radio-input-label"><input type="radio" class="input-cookiehint input-cookiehint-radio modus_radio_options" value="2" <?php esc_html_e (($col['modus'] == 2) ? 'checked' : ''); ?> name="radio_params_cookiemode"><label for="cookie-hinweis-neuen-sitzung"><?PHP esc_html_e("REDIM_COOKIEHINT_MODE_SESSION", 'cookiehint-wp'); ?></label></span>
								</fieldset>
							</div>
						</div>

						<div class="row" id="modus_content" <?php esc_html_e (($col['modus'] == '1') ? 'style="display:block;"' : 'style="display:none;"'); ?>>
							<div class="col col-30">
								<span class="label-cookiehint tooltipElement"><?PHP esc_html_e("REDIM_COOKIEHINT_COOKIEEXPIRES", 'cookiehint-wp'); ?><span class="tooltipContent"><span class="title_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_COOKIEEXPIRES", 'cookiehint-wp'); ?></span><span class="desc_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_COOKIEEXPIRES_DESC", 'cookiehint-wp'); ?></span></span></span>
							</div>
							<div class="col col-70">
								<input type="number" class="input-cookiehint input-text-cookiehint" name="tage-modus-input" min="1" value="<?php esc_html_e ( $col['tage_modus']); ?>">
							</div>
						</div>


						<h2><?PHP esc_html_e("REDIM_COOKIEHINT_NOTE_LINKS", 'cookiehint-wp'); ?></h2>

						<div class="row">
							<div class="col col-30">
								<span class="label-cookiehint tooltipElement"><?PHP esc_html_e("REDIM_COOKIEHINT_POSITION", 'cookiehint-wp'); ?><span class="tooltipContent"><span class="title_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_POSITION", 'cookiehint-wp'); ?></span><span class="desc_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_POSITION_DESC", 'cookiehint-wp'); ?></span></span></span>
							</div>
							<div class="col col-70">
								<select class="input-cookiehint input-select-cookiehint" name="position">
									<option value="0" <?php esc_html_e (($col['position'] == '0') ? 'selected="selected"' : ''); ?>><?PHP esc_html_e("REDIM_COOKIEHINT_POSITION_MODAL", 'cookiehint-wp'); ?></option>
									<option value="1" <?php esc_html_e (($col['position'] == '1') ? 'selected="selected"' : ''); ?>><?PHP esc_html_e("REDIM_COOKIEHINT_POSITION_TOP", 'cookiehint-wp'); ?></option>
									<option value="2" <?php esc_html_e (($col['position'] == '2') ? 'selected="selected"' : ''); ?>><?PHP esc_html_e("REDIM_COOKIEHINT_POSITION_BOTTOM", 'cookiehint-wp'); ?></option>
								</select>
							</div>
						</div>

						<div class="row">
							<div class="col col-30">
								<span class="label-cookiehint tooltipElement"><?PHP esc_html_e("REDIM_COOKIEHINT_CSS", 'cookiehint-wp'); ?><span class="tooltipContent"><span class="title_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_CSS", 'cookiehint-wp'); ?></span><span class="desc_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_CSS_DESC", 'cookiehint-wp'); ?></span></span></span>
							</div>
							<div class="col col-70">
								<select class="input-cookiehint input-select-cookiehint" name="css-options">
									<?php
										foreach(glob(plugin_dir_path(__FILE__)."templates/style/*.css") as $file){
											?>
											<option value="<?php esc_html_e( pathinfo($file, PATHINFO_FILENAME)); ?>" <?php esc_html_e( ($col['css_style'] == pathinfo($file, PATHINFO_FILENAME)) ? 'selected="selected"' : ''); ?>><?php esc_html_e( ucfirst(pathinfo($file, PATHINFO_FILENAME))); ?></option>
											<?php
										}
									?>
								</select>
							</div>
						</div>

						<div class="row">
							<div class="col col-30">
								<span class="label-cookiehint tooltipElement"><?PHP esc_html_e("REDIM_COOKIEHINT_PHP", 'cookiehint-wp'); ?><span class="tooltipContent"><span class="title_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_PHP", 'cookiehint-wp'); ?> </span><span class="desc_tooltip"><?PHP esc_html_e("REDIM_COOKIEHINT_PHP_DESC", 'cookiehint-wp'); ?></span></span></span>
							</div>
							<div class="col col-70">
								<select class="input-cookiehint input-select-cookiehint" name="html-php-options">
									<?php
										foreach(glob(plugin_dir_path(__FILE__)."templates/code/*.php") as $file){
											?>
											<option value="<?php esc_html_e (pathinfo($file, PATHINFO_FILENAME)); ?>" <?php esc_html_e (($col['html_php_code'] == pathinfo($file, PATHINFO_FILENAME)) ? 'selected="selected"' : ''); ?>><?php esc_html_e (ucfirst(pathinfo($file, PATHINFO_FILENAME))); ?></option>
											<?php
										}
									?>
								</select>
							</div>
						</div>
						
						<?php
					}
				}else{
					
					esc_html_e ("<p><i>A fatal error has occurred, please uninstall and reinstall Cookiehint. Lack of necessary data in the database</i></p>");
					
				} ?>

			<div class="row">
				<div class="col col-30 submit-btn-div">
					<?php submit_button(); ?>
				</div>
			</div>

	</form>
	<div class="row">
		<div class="col col-70">
			<hr>
			<a class="button button-primary btn-test" target="_blank" href="<?php global $wp;
				 esc_html_e(home_url($wp->request)) ?>?rCH=4">Test</a><span class="text-test"> | <?PHP
					
					$testUrl = home_url($wp->request);
					$testUrl .= "?rCH=4";
					echo wp_kses_post(sprintf(__('REDIM_COOKIEHINT_BTN_TEST_DESC', 'cookiehint-wp'), $testUrl));
				?> </span>

		</div>
	</div>


	<div class="row">
		<div class="col col-70">

			<div class="tooltip_shortcode_rd">
				<input type="text" value="[reset-cookie-button class='reset_cookie_redim' title='Reset Cookie Options']" class="input-cookiehint input-text-cookiehint" id="reset_cookie_shortcode" data-lang="<?PHP esc_html_e("REDIM_COOKIEHINT_COPIED", 'cookiehint-wp'); ?>">

				<span class="tooltip_shortcode_rd">
					<span onclick="rd_click_copy()" onmouseout="outFunc()">
						<span class="tooltip_shortcode_rdtext" id="mytooltip_shortcode_rd" data-lang="<?PHP esc_html_e("REDIM_COOKIEHINT_COPY", 'cookiehint-wp'); ?>"><?PHP esc_html_e("REDIM_COOKIEHINT_COPY_SC", 'cookiehint-wp'); ?></span>
						<?PHP esc_html_e("REDIM_COOKIEHINT_COPY_SC", 'cookiehint-wp'); ?>
					</span>
				</span>
			</div>
		</div>
	</div>


	<div class="row">
		<div class="col col-70 copyright">
		</hr>
			
			<?php $rd_cookiehint_plugin_data    = get_plugin_data(plugin_dir_path(__FILE__).'cookiehint-wp.php');
			
			$rd_cookiehint_plugin_name = $rd_cookiehint_plugin_data['Name'];?>
			<?PHP
				$server_domain='';
				if (!empty($_SERVER['HTTP_HOST']) && isset($_SERVER['HTTP_HOST'])){
					$server_domain = $_SERVER['HTTP_HOST'];
				} else{
					$server_domain = "localhost";
				}
			?>
			<h4>CookieHint and Consent by <a href="https://www.redim.de/" target="_blank">reDim</a></h4>
			<a href="https://www.redim.de/" target="_blank"><img src="https://www.redim.de/license/<?php esc_html_e ($server_domain); ?>/<?php esc_html_e (strtr($rd_cookiehint_plugin_name, " ", "-")); ?>/logo.png" alt="Logo reDim"></a>
			
		</div>
	</div>


</div>