<?php
if (!defined('ABSPATH')) {
    die('-1');
}
?>
<script type="text/javascript">
    function cookiehintsubmitnoc(obj) {
        if (confirm("Cookies <?PHP esc_html_e("REDIM_COOKIEHINT_BTN_NOTOK", 'cookiehint-wp');?>?")) {
            document.cookie = 'reDimCookieHint=-1; expires=0; path=/';
            cookiehintfadeOut(document.getElementById('redim-cookiehint-<?PHP esc_html_e ($position);?>'));
            return true;
        } else {
            return false;
        }
    }
</script>
<div id="redim-cookiehint-<?PHP esc_html_e ($position); ?>">
    <div id="redim-cookiehint">
        <div class="cookiecontent">
			<span class="headline"><?PHP esc_html_e("REDIM_COOKIEHINT_HEAD", 'cookiehint-wp');?></span>
			<p><?PHP esc_html_e("REDIM_COOKIEHINT_INFO_1", 'cookiehint-wp'); ?></p>
			<p><?PHP esc_html_e("REDIM_COOKIEHINT_INFO_2", 'cookiehint-wp'); ?></p>
		</div>
		<form method="post">
			<input type="hidden" name="action" value="cookie_action">
        <div class="cookiebuttons">
			<input type="submit" name="cookie_accept" value="<?PHP esc_html_e ("REDIM_COOKIEHINT_BTN_OK", 'cookiehint-wp'); ?>" id="cookiehintsubmit" class="btn"/>
           
			<?PHP if ($refusal[1] == 1): ?>
					<input type="submit" name="cookie_decline" value="<?PHP esc_html_e ("REDIM_COOKIEHINT_BTN_NOTOK", 'cookiehint-wp'); ?>" id="cookiehintsubmitno" class="btn"/>
			<?PHP elseif ($refusal[1] == 2): ?>
                <a id="cookiehintsubmitno" onclick="return cookiehintsubmitno(this);" rel="nofollow" href="<?PHP esc_html_e( $refusal[2]); ?>"
                   class="btn"><?PHP esc_html_e("REDIM_COOKIEHINT_BTN_NOTOK", 'cookiehint-wp');?></a>
			<?PHP endif; ?>
			
            <div class="text-center" id="cookiehintinfo">
		        <?PHP if(!empty($linkprivacypolicy)): ?>
                    <a target="_self" href="<?PHP echo esc_url($linkprivacypolicy); ?>"><?PHP esc_html_e ("REDIM_COOKIEHINT_MORE_INFO", 'cookiehint-wp');?> </a>
		        <?PHP endif; ?>
		        <?PHP if(!empty($linkprivacypolicy) AND !empty($linkimprint)):?>
					<span>|</span>
		        <?PHP endif; ?>
		        <?PHP if(!empty($linkimprint)): ?>
                    <a target="_self" href="<?PHP echo esc_url($linkimprint);?>"><?PHP esc_html_e ("REDIM_COOKIEHINT_BTN_IMPRINT", 'cookiehint-wp');?></a>
		        <?PHP endif; ?>
            </div>
		</form>
        </div>
        <div class="clr"></div>
    </div>
</div>